/* ■■■■■■■■■■■■■ ARMOSY-2 Example ■■■■■■■■■■■■

Generator Sine Tone cca 1kHz DAC1 12bit  

Hardware: ARMOSY-2
Version HW: 2.21
Create: 22.04.2016

   ■■■■■■■■■■■■■ TERMINAL CONNECTION ■■■■■■■■■■■■
63 - IN POWER, VCC min 8V/1A!
64 - IN POWER, -"-

   ■■■■■■■■■■■■■ JUMPER ■■■■■■■■■■■■
SW2 ON (POWER NF Amplifier)

*/


// ■ LIBRARY
#include <UTFT.h>   //Driver UTFT

// ■ DECLARATIONS
UTFT  myGLCD(ITDB24,38,39,40,41); // RS, WR, CS, REST
extern uint8_t BigFont[]; // UTFT Fonds

// ■  DAC INTERN 
int sine[] = {2048,2305,2557,2802,3034,3251,3449,3625,3777,3901,3995,4059,4092,4092,4060,3996,3902,3778,3628,3452,3254,3037,2805,2560,2308,2051,1795,1542,1297,1065,847,649,473,321,197,102,37,4,4,35,99,193,316,466,642,839,1056,1288,1533,1785,2041};


// ■■■■■■■■■■■■■ SETUP ■■■■■■■■■■■■

void setup()
{

// ■ UTFT
  myGLCD.InitLCD();               // Initialization LCD              
  myGLCD.clrScr();                // Clear Screen
  myGLCD.fillScr(VGA_WHITE);      // VGA Background Transparency
  myGLCD.setColor(0, 0, 0);       // Black Fonds
  myGLCD.setBackColor(255, 255, 255); // White Background
  myGLCD.setFont(BigFont);        // Select Font 

// ■ HEADER  
  myGLCD.print("ARMOSY2 - SW0005", CENTER, 10);             
  myGLCD.print("www.hwpro.cz", CENTER, 220);             
  myGLCD.print("Sine Generator DAC1", CENTER, 120);             
}


// ■■■■■■■■■■■■■ MAIN ■■■■■■■■■■■■

void loop()

{
  // Tone Sine 1kHz
  for(int i = 0; i<50; i++){
      if(sine[i]>4095) {
         sine[i]=4095;
     }
    analogWriteResolution(12);   // Resolution DAC1
    analogWrite(DAC1, sine[i]);  // Write to DAC1
    delayMicroseconds(16); // Frequency
  }

}

